:root {
    --bg-color: #f1f1f1;
    --text-color: #000000;
    --nav-bg: #333;
    --nav-text: #f1f1f1;
    --gradient: linear-gradient(to right, #232526, #414345);
    --btn-bg: indigo;
    --btn-hover: rgb(57, 0, 98);
}

body.dark-mode {
    --bg-color: #1a1a1a;
    --text-color: #f1f1f1;
    --nav-bg: #000;
    --gradient: linear-gradient(to right, #0f0c29, #302b63, #24243e);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: large;
    transition: background-color 0.3s ease;
}

/* 2. Navigation */
.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    background-color: var(--nav-bg);
    position: sticky;
    top: 0;
    z-index: 1000;
}

.link {
    display: flex;
    gap: 2rem;
}

.link a, #logo a {
    text-decoration: none;
    cursor: pointer;
    color: var(--nav-text);
    transition: all 0.3s ease;
}

.link a:hover, #logo a:hover {
    color: #aaa;
    text-decoration: underline;
}

#menu {
    display: none;
    cursor: pointer;
    font-size: 1.5rem;
}

.container {
    display: flex;
    min-height: 100vh;
    background: var(--gradient);
    justify-content: center;
    align-items: center; /* Vertically center the about card */
    padding: 20px;
    transition: margin-top 0.3s ease;
}

.items {
    display: flex;
    flex-direction: column;
    max-width: 600px;
    background-color: var(--bg-color);
    color: var(--text-color);
    padding: 2.5rem;
    gap: 1.2rem;
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.5);
    transition: background-color 0.3s ease, color 0.3s ease;
}

.items p {
    text-align: justify;
    line-height: 1.6;
}
.btn-section {
    display: flex;
    gap: 1rem;
    margin-top: 10px;
}

.btn {
    padding: 0.8rem 1.5rem;
    background-color: var(--btn-bg);
    color: white;
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    font-weight: bold;
    transition: all 0.3s ease;
}

.btn:hover {
    background-color: var(--btn-hover);
    transform: translateY(-3px);
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}
footer {
    text-align: center;
    padding: 20px;
    background-color:  var(--nav-bg);
    color: #f1f1f1;
    font-size: 14px;
}
@media(max-width: 600px) {
    .nav .link {
        display: none;
        width: 100%;
        position: absolute;
        top: 100%;
        left: 0;
        background-color: var(--nav-bg);
        padding: 1.5rem;
        flex-direction: column;
        align-items: center;
        box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    }

    .nav .link.active {
        display: flex;
    }
    #menu {
        display: block;
        position: absolute;
        right: 3.5rem;
    }
    
    .btn-section {
        flex-direction: column;
    }
}